package com.chinapnr.android.adapay_android.network;


import com.chinapnr.android.adapay_android.BuildConfig;

import java.util.concurrent.TimeUnit;

import okhttp3.OkHttpClient;

/**
 * @author yumin.chang
 * function http 管理类
 * create 2018/9/20
 * update
 * @version ${VERSION}
 */
class HttpManager {

    private static HttpManager httpManager;

    private HttpManager() {
    }

    static synchronized HttpManager getInstance() {
        if (httpManager == null) {
            httpManager = new HttpManager();
        }
        return httpManager;
    }

    OkHttpClient getHttpClient(int timeout) {
        OkHttpClient.Builder builder = new OkHttpClient.Builder()
                .connectTimeout(timeout, TimeUnit.SECONDS)//总超时时间
                .readTimeout(timeout / 2, TimeUnit.SECONDS)
                .writeTimeout(timeout / 2, TimeUnit.SECONDS)
                .retryOnConnectionFailure(true);

        if (BuildConfig.DEBUG) {//如果为测试环境打印请求日志
            HttpLoggingInterceptor logging = new HttpLoggingInterceptor();
            builder.addInterceptor(logging.setLevel(HttpLoggingInterceptor.Level.BODY));
        }

        return builder.build();
    }
}
