package com.chinapnr.android.adapay_android.network;

/**
 * @version ${VERSION}
 * @author yumin.chang
 * function 网络请求回调
 * create 2018/9/7
 * update
 */
public interface NetworkCallback<T> {

    /**
     * 回调成功
     *
     * @param respObj 返回内容
     */
    void onSuccess(T respObj);

    /**
     * 网络请求失败，含有服务端返回的错误信息
     *
     * @param respObj 失败信息
     */
    void onFail(T respObj);

    /**
     * 网络错误
     *
     * @param respMsg 失败信息
     */
    void onFail(String respMsg);
}
