package com.chinapnr.android.adapay_android.widgets;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.chinapnr.android.adapay_android.R;

/**
 * @author yumin.chang
 * function 自定义输入界面
 * create 2019/2/22
 * update
 */
@SuppressWarnings("unused")
public class CustomTextView extends RelativeLayout {

    private ImageView ivLeftIcon;
    private TextView tvLeftTitle;
    private ImageView ivRightIcon;

    public CustomTextView(Context context, AttributeSet attrs) {
        super(context, attrs);

        initView(context);
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomTextView);

        int leftIcon = typedArray.getResourceId(R.styleable.CustomTextView_leftIcon, 0);
        String leftTitle = typedArray.getString(R.styleable.CustomTextView_leftTitle);
        int rightIcon = typedArray.getResourceId(R.styleable.CustomTextView_rightIcon, 0);


        ivLeftIcon.setImageResource(leftIcon);
        tvLeftTitle.setText(leftTitle);
        ivRightIcon.setImageResource(rightIcon);

        typedArray.recycle();
    }

    private void initView(Context context) {
        View view = LayoutInflater.from(context).inflate(R.layout.layout_custom_edittext, this);
        tvLeftTitle = view.findViewById(R.id.tv_title_left);
        ivLeftIcon = view.findViewById(R.id.iv_left_icon);
        ivRightIcon = view.findViewById(R.id.iv_right_icon);
    }

    public ImageView getIvRightIcon() {
        return ivRightIcon;
    }
}
