package com.chinapnr.android.adapay_android.widgets;

import android.app.Activity;

/**
 * @author yumin.chang
 * function 自定义 loading 弹窗控制器
 * create 2019/6/14
 * update
 */
@SuppressWarnings("WeakerAccess")
public class DialogManager {

    public static LoadingDialog loadingDialog;

    public static void showDialog(Activity context) {
        showDialog(context, "", false);
    }

    public static void showDialog(Activity context, boolean cancellable) {
        showDialog(context, "", cancellable);
    }

    public static void showDialog(Activity context, String message, boolean cancellable) {
        if (context.isFinishing()) {
            return;
        }

        if (loadingDialog != null && loadingDialog.isShowing()) {
            dismiss();
        }

        LoadingDialog.Builder builder = new LoadingDialog.Builder(context);
        loadingDialog = builder.setMessage(message)
                .setCancelable(cancellable)
                .setMessage("请稍后...")
                .create();
        loadingDialog.show();
    }

    public static void dismiss() {
        if (loadingDialog == null || !loadingDialog.isShowing()) {
            return;
        }
        loadingDialog.dismiss();
    }
}
