package com.chinapnr.android.adapay_android.widgets;

import android.annotation.SuppressLint;
import android.app.Dialog;
import android.content.Context;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

import com.chinapnr.android.adapay_android.R;


/**
 * 模仿 ios dialog loading 框
 * Created by cym on 2017/6/19.
 */
@SuppressWarnings({"WeakerAccess", "unused"})
public class LoadingDialog extends Dialog {

    private LoadingDialog(Context context) {
        super(context);
    }

    private LoadingDialog(Context context, int loadingDialogStyle) {
        super(context, loadingDialogStyle);
    }

    public static class Builder {

        private Context context;
        private String message;
        private boolean isCancelable = false;

        public Builder(Context context) {
            this.context = context;
        }

        /**
         * 设置提示信息
         *
         * @param message 提示信息
         */

        public Builder setMessage(String message) {
            this.message = message;
            return this;
        }

        /**
         * 设置是否可以按返回键取消
         *
         * @param isCancelable 是否可以按返回键取消
         */

        public Builder setCancelable(boolean isCancelable) {
            this.isCancelable = isCancelable;
            return this;
        }

        public LoadingDialog create() {

            @SuppressLint("InflateParams") View view = LayoutInflater.from(context)
                    .inflate(R.layout.dialog_loading_layout, null);
            LoadingDialog loadingDailog = new LoadingDialog(context, R.style.MyLoadingDialogStyle);
            TextView msgText = (TextView) view.findViewById(R.id.tipTextView);
            if (TextUtils.isEmpty(message)) {
                msgText.setVisibility(View.GONE);
            } else {
                msgText.setText(message);
            }
            loadingDailog.setContentView(view);
            loadingDailog.setCancelable(isCancelable);
            return loadingDailog;

        }
    }
}
