package com.chinapnr.android.adapay_android.widgets;

import android.content.Context;
import android.content.res.TypedArray;
import android.support.annotation.Nullable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.chinapnr.android.adapay_android.R;

public class PayTypeButton extends LinearLayout {

    public PayTypeButton(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);

        View view = LayoutInflater.from(context).inflate(R.layout.pay_type_btn_layout, this);
        TextView tvPayTitle = view.findViewById(R.id.pay_title);
        TextView tvPayType = view.findViewById(R.id.pay_type);
        TextView tvPayDesc = view.findViewById(R.id.pay_desc);

        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.PayTypeButton);
        String payTitle = typedArray.getString(R.styleable.PayTypeButton_payTitle);
        String payType = typedArray.getString(R.styleable.PayTypeButton_payType);
        String payDesc = typedArray.getString(R.styleable.PayTypeButton_payDesc);

        int background = typedArray.getInteger(R.styleable.PayTypeButton_mask_alpha, 0);

        view.findViewById(R.id.layout_mask).setAlpha(background / 10f);
        tvPayTitle.setText(payTitle);
        tvPayType.setText(payType);
        tvPayDesc.setText(payDesc);

        typedArray.recycle();
    }
}
